export declare type DateProps = string | number | Date;
export declare type CalendarMode = 'time' | 'day' | 'month' | 'year';
export declare type CalendarType = 'time' | 'day' | 'week' | 'month' | 'year' | 'datetime';
export declare type PickerChildProps = {
    prefixCls?: string;
    className?: string;
    disabled?: boolean;
    type: CalendarType;
    range?: boolean;
    current: Date;
    format: string;
    value?: DateProps;
    min?: DateProps;
    max?: DateProps;
    rangeDate?: DateProps[];
    hideLeftIcon?: boolean;
    hideRightIcon?: boolean;
    onModeChange: (mode: CalendarMode) => void;
    onChange: (date: DateProps | DateProps[], isSelectDay?: boolean) => void;
};
