import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import * as classNames from 'classnames';
import * as React from 'react';

var Accordion =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(Accordion, _React$PureComponent);

  function Accordion() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Accordion.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        className = _this$props.className,
        children = _this$props.children,
        attributes = _objectWithoutPropertiesLoose(_this$props, ["className", "children"]);

    var accordionClassName = classNames('dk-card', className);
    return React.createElement("div", _extends({}, attributes, {
      className: accordionClassName
    }), children);
  };

  return Accordion;
}(React.PureComponent);

export default Accordion;