import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import * as classNames from 'classnames';
import * as React from 'react';

var Footer = function Footer(props) {
  var className = props.className,
      _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'dk-card' : _props$prefixCls,
      attributes = _objectWithoutPropertiesLoose(props, ["className", "prefixCls"]);

  var basicClassName = classNames(prefixCls + "-footer", className);
  return React.createElement("div", _extends({}, attributes, {
    className: basicClassName
  }));
};

export default Footer;