import * as React from 'react';
import { mount } from 'enzyme';
import Checkbox from '..';
var prefixCls = 'dk-checkbox';
describe('Checkbox', function () {
  test('should react while click', function () {
    var checkbox = mount(React.createElement(Checkbox, {
      defaultChecked: true
    }, "Option"));
    expect(checkbox.find("." + prefixCls).hasClass(prefixCls + "-checked")).toBeTruthy();
    checkbox.find("." + prefixCls + "-input").simulate('change', {
      target: {
        checked: false
      }
    });
    checkbox.update();
    expect(checkbox.find("." + prefixCls).hasClass(prefixCls + "-checked")).toBeFalsy();
  });
});