import * as React from 'react';
export declare type CheckboxGroupProps = {
    prefixCls?: string;
    className?: string;
    name?: string;
    defaultValue?: string[];
    value?: string[];
    min?: number;
    max?: number;
    onChange?: (options: string[]) => void;
};
export declare type CheckboxGroupState = {
    options: string[];
};
declare class CheckboxGroup extends React.PureComponent<CheckboxGroupProps, CheckboxGroupState> {
    static componentType: string;
    static defaultProps: {
        prefixCls: string;
        value: any[];
    };
    static getDerivedStateFromProps(nextProps: CheckboxGroupProps, prevState: CheckboxGroupState): {
        options: string[];
    };
    constructor(props: CheckboxGroupProps);
    render(): JSX.Element;
    handleRawChange: (checked: boolean, value: any) => void;
    handleChecked: (value: any) => boolean;
}
export default CheckboxGroup;
