import _extends from "@babel/runtime/helpers/esm/extends";
import * as React from 'react';
import createReactContext from 'create-react-context';
var LayoutContext = createReactContext(null);
export var LayoutProvider = LayoutContext.Provider;
export var LayoutConsumer = LayoutContext.Consumer;
export var createConsumer = function createConsumer(Component) {
  return function (props) {
    return React.createElement(LayoutConsumer, null, function (context) {
      return React.createElement(Component, _extends({}, props, {
        addSidebar: context.addSidebar,
        removeSidebar: context.removeSidebar
      }));
    });
  };
};