import * as React from 'react';
import { ModalProps, ModalState } from './typings';
declare class ModalPanel extends React.Component<ModalProps, ModalState> {
    static defaultProps: {
        prefixCls: string;
        closeByEsc: boolean;
        showFooter: boolean;
    };
    static success: any;
    readonly bodyRef: React.RefObject<HTMLDivElement>;
    constructor(props: ModalProps);
    componentDidUpdate(prevProps: ModalProps, prevState: ModalState): void;
    render(): JSX.Element;
    openModal: () => void;
    closeModal: () => void;
    handleClose: () => void;
    handleExited: () => void;
    focusBody: () => void;
    handleKeydown: (event: any) => void;
}
export default ModalPanel;
