import * as React from 'react';
export declare type PaginationSize = 'small' | 'default' | 'large';
export declare type PaginationProps = {
    prefixCls?: string;
    current?: number;
    defaultCurrent?: number;
    total?: number;
    size?: PaginationSize;
    pageSize?: number;
    range?: number;
    className?: string;
    disabled?: boolean;
    onChange?: (value: number) => void;
};
export declare type PaginationState = {
    current: number;
    pageSize: number;
};
declare class Pagination extends React.Component<PaginationProps, PaginationState> {
    static defaultProps: {
        prefixCls: string;
        defaultCurrent: number;
        pageSize: number;
        total: number;
        range: number;
        size: import("../select/typings").SelectSize;
    };
    static getDerivedStateFromProps(nextProps: PaginationProps): Partial<PaginationState>;
    constructor(props: PaginationProps);
    render(): JSX.Element;
    handleChange(current: any): void;
    private getPages;
}
export default Pagination;
