import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import * as React from 'react';
import Item from '../checkbox/item';
import Group from './group';

var Radio = function Radio(_ref) {
  var _ref$prefixCls = _ref.prefixCls,
      prefixCls = _ref$prefixCls === void 0 ? 'dk-radio' : _ref$prefixCls,
      attributes = _objectWithoutPropertiesLoose(_ref, ["prefixCls"]);

  return React.createElement(Item, _extends({
    prefixCls: prefixCls,
    type: "radio"
  }, attributes));
};

Radio.componentType = 'Radio';
Radio.Group = Group;
export default Radio;