import * as React from 'react';
import Scrollbar from '../scrollbar';
export declare type TimeScrollProps = {
    prefixCls?: string;
    total?: number;
    value: number;
    onChange: (num: number) => void;
};
export declare type TimeScrollState = {
    autoHide: boolean;
};
declare class Time extends React.PureComponent<Partial<TimeScrollProps>, TimeScrollState> {
    readonly scrollRef: React.RefObject<Scrollbar>;
    constructor(props: TimeScrollProps);
    componentDidMount(): void;
    render(): JSX.Element;
    handleItemClick: (num: number) => void;
}
export default Time;
