import { DateProps } from './typings';
export declare const weekdayValues: {
    short: any[];
    long: string[];
};
export declare const monthValues: {
    short: any[];
    long: string[];
};
export declare const allPlaceholders: {
    [key: string]: any;
};
export declare const allFormats: {
    day: string;
    time: string;
    week: string;
    month: string;
    year: string;
    datetime: string;
};
export declare function shorten(arr: string[], sLen: number): any[];
export declare function getDaySuffix(d: number): string;
export declare function pad(val: number, len?: number): string;
export declare function toDate(dirtyDate?: DateProps): Date;
export declare function addDays(dirtyDate: DateProps, amount: number): Date;
export declare function addMonths(dirtyDate: DateProps, amount: number): Date;
export declare function addYears(dirtyDate: DateProps, amount: number): Date;
export declare function endOfWeek(dirtyDate: DateProps): Date;
export declare function endOfMonth(dirtyDate: DateProps): Date;
export declare function startOfDay(dirtyDate: DateProps): Date;
export declare function startOfMonth(dirtyDate: DateProps): Date;
export declare function startOfWeek(dirtyDate: DateProps): Date;
export declare function isDate(dirtyDate?: DateProps): boolean;
export declare function isSameDay(dirtyDateLeft: DateProps, dirtyDateRight: DateProps): boolean;
export declare function isSameWeek(dirtyDateLeft: DateProps, dirtyDateRight: DateProps): boolean;
export declare function isSameMonth(dirtyDateLeft: DateProps, dirtyDateRight: DateProps): boolean;
export declare function isSameYear(dirtyDateLeft: DateProps, dirtyDateRight: DateProps): boolean;
export declare function compareAsc(dirtyDateLeft: DateProps, dirtyDateRight: DateProps): number;
export declare function getDayNumberOfMouth(dirtyDate: DateProps): number;
export declare function getWeekNumberOfYear(dirtyDate: DateProps): number;
export declare function prevMonth(dirtyDate: DateProps): Date;
export declare function nextMonth(dirtyDate: DateProps): Date;
export declare function prevYear(dirtyDate: DateProps): Date;
export declare function nextYear(dirtyDate: DateProps): Date;
export declare function getDaysOfMonth(dirtyDate: DateProps): any[];
export declare function formatDate(dirtyDate: DateProps, fmt: string): string;
export declare function parseDate(dirtyDateString: string, dirtyFormatString: string): any;
