"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var classNames = _interopRequireWildcard(require("classnames"));

var React = _interopRequireWildcard(require("react"));

var Accordion =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Accordion, _React$PureComponent);

  function Accordion() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Accordion.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        className = _this$props.className,
        children = _this$props.children,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, ["className", "children"]);
    var accordionClassName = classNames('dk-card', className);
    return React.createElement("div", (0, _extends2["default"])({}, attributes, {
      className: accordionClassName
    }), children);
  };

  return Accordion;
}(React.PureComponent);

var _default = Accordion;
exports["default"] = _default;