"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.createConsumer = exports.Consumer = exports.Provider = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var context = React.createContext(null);
var Provider = context.Provider;
exports.Provider = Provider;
var Consumer = context.Consumer;
exports.Consumer = Consumer;

var createConsumer = function createConsumer(Component) {
  return function (props) {
    return React.createElement(Consumer, null, function (value) {
      return React.createElement(Component, (0, _extends2["default"])({}, props, value));
    });
  };
};

exports.createConsumer = createConsumer;