"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var _context = require("./context");

var _icon = _interopRequireDefault(require("../icon"));

var Header =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Header, _React$PureComponent);

  function Header() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleClick", function () {
      var _this$props = _this.props,
          handleHeaderClick = _this$props.handleHeaderClick,
          onClick = _this$props.onClick,
          collapse = _this$props.collapse;

      if (collapse && typeof handleHeaderClick === 'function') {
        handleHeaderClick();
      }

      if (typeof onClick === 'function') {
        onClick();
      }
    });
    return _this;
  }

  var _proto = Header.prototype;

  _proto.render = function render() {
    var _classNames, _classNames2;

    var _this$props2 = this.props,
        className = _this$props2.className,
        prefixCls = _this$props2.prefixCls,
        children = _this$props2.children,
        title = _this$props2.title,
        handleHeaderClick = _this$props2.handleHeaderClick,
        collapse = _this$props2.collapse,
        visible = _this$props2.visible,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props2, ["className", "prefixCls", "children", "title", "handleHeaderClick", "collapse", "visible"]);
    var cardClassName = classNames((_classNames = {}, _classNames[prefixCls + "-header"] = true, _classNames[prefixCls + "-header-collapse"] = collapse, _classNames[prefixCls + "-header-collapse-visible"] = visible, _classNames), className);
    return React.createElement("div", (0, _extends2["default"])({}, attributes, {
      className: cardClassName,
      onClick: this.handleClick
    }), collapse ? React.createElement(_icon["default"], {
      type: "chevron-right",
      className: classNames(prefixCls + "-header-icon", (_classNames2 = {}, _classNames2[prefixCls + "-header-icon-visible"] = visible, _classNames2))
    }) : null, children);
  };

  return Header;
}(React.PureComponent);

(0, _defineProperty2["default"])(Header, "defaultProps", {
  prefixCls: 'dk-card'
});

var _default = (0, _context.createConsumer)(Header);

exports["default"] = _default;