"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var React = _interopRequireWildcard(require("react"));

var _enzyme = require("enzyme");

var _ = _interopRequireDefault(require(".."));

var prefixCls = 'dk-checkbox';
describe('Checkbox', function () {
  test('should react while click', function () {
    var checkbox = (0, _enzyme.mount)(React.createElement(_["default"], {
      defaultChecked: true
    }, "Option"));
    expect(checkbox.find("." + prefixCls).hasClass(prefixCls + "-checked")).toBeTruthy();
    checkbox.find("." + prefixCls + "-input").simulate('change', {
      target: {
        checked: false
      }
    });
    checkbox.update();
    expect(checkbox.find("." + prefixCls).hasClass(prefixCls + "-checked")).toBeFalsy();
  });
});