import * as React from 'react';
import { ViewportType } from './types';
export declare type ColProps = {
    prefixCls?: string;
    className?: string;
    xs?: number | boolean;
    sm?: number | boolean;
    md?: number | boolean;
    lg?: number | boolean;
    xl?: number | boolean;
    xsOffset?: number;
    smOffset?: number;
    mdOffset?: number;
    lgOffset?: number;
    xlOffset?: number;
    first?: ViewportType;
    last?: ViewportType;
};
declare class Col extends React.Component<ColProps> {
    static defaultProps: {
        prefixCls: string;
    };
    render(): JSX.Element;
}
export default Col;
