"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var _row = _interopRequireDefault(require("./row"));

var _col = _interopRequireDefault(require("./col"));

var Grid =
/*#__PURE__*/
function (_React$Component) {
  (0, _inheritsLoose2["default"])(Grid, _React$Component);

  function Grid() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Grid.prototype;

  _proto.render = function render() {
    var _classNames;

    var _this$props = this.props,
        children = _this$props.children,
        prefixCls = _this$props.prefixCls,
        fluid = _this$props.fluid,
        className = _this$props.className,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, ["children", "prefixCls", "fluid", "className"]);
    var gridClassName = classNames(prefixCls, (_classNames = {}, _classNames[prefixCls + "-fluid"] = fluid, _classNames), className);
    return React.createElement("div", (0, _extends2["default"])({
      className: gridClassName
    }, attributes), children);
  };

  return Grid;
}(React.Component);

(0, _defineProperty2["default"])(Grid, "Row", void 0);
(0, _defineProperty2["default"])(Grid, "Col", void 0);
(0, _defineProperty2["default"])(Grid, "defaultProps", {
  prefixCls: 'dk-grid',
  fluid: false
});
Grid.Row = _row["default"];
Grid.Col = _col["default"];
var _default = Grid;
exports["default"] = _default;