import * as React from 'react';
import { ViewportType } from './types';
export declare type RowProps = {
    prefixCls?: string;
    className?: string;
    style?: React.CSSProperties;
    reverse?: boolean;
    start?: ViewportType;
    center?: ViewportType;
    end?: ViewportType;
    top?: ViewportType;
    middle?: ViewportType;
    bottom?: ViewportType;
    around?: ViewportType;
    between?: ViewportType;
};
declare class Row extends React.Component<RowProps> {
    static defaultProps: {
        prefixCls: string;
        reverse: boolean;
    };
    render(): JSX.Element;
    getRowClassNames: () => {
        [x: string]: boolean;
    }[];
}
export default Row;
