"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.createConsumer = exports.LayoutConsumer = exports.LayoutProvider = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var _createReactContext = _interopRequireDefault(require("create-react-context"));

var LayoutContext = (0, _createReactContext["default"])(null);
var LayoutProvider = LayoutContext.Provider;
exports.LayoutProvider = LayoutProvider;
var LayoutConsumer = LayoutContext.Consumer;
exports.LayoutConsumer = LayoutConsumer;

var createConsumer = function createConsumer(Component) {
  return function (props) {
    return React.createElement(LayoutConsumer, null, function (context) {
      return React.createElement(Component, (0, _extends2["default"])({}, props, {
        addSidebar: context.addSidebar,
        removeSidebar: context.removeSidebar
      }));
    });
  };
};

exports.createConsumer = createConsumer;