import * as React from 'react';
import { MessageItemProps, MessageItemState } from './types';
declare class MessageItem extends React.PureComponent<MessageItemProps, MessageItemState> {
    closeTimer: number;
    constructor(props: MessageItemProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: MessageItemProps): void;
    componentWillUnmount(): void;
    close: () => void;
    startCloseTimer: () => void;
    clearCloseTimer: () => void;
    restartCloseTimer(): void;
    destory: () => void;
    render(): JSX.Element;
}
export default MessageItem;
