"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var React = _interopRequireWildcard(require("react"));

var _tooltip = _interopRequireDefault(require("../tooltip"));

var Popover = function Popover(props) {
  var content = props.content,
      _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'dk-popover' : _props$prefixCls,
      trigger = props.trigger,
      title = props.title,
      visible = props.visible,
      attibutes = (0, _objectWithoutPropertiesLoose2["default"])(props, ["content", "prefixCls", "trigger", "title", "visible"]);
  var realContent = React.createElement(React.Fragment, null, React.createElement("div", {
    className: prefixCls + "-title"
  }, title), React.createElement("div", {
    className: prefixCls + "-content"
  }, content));
  return React.createElement(_tooltip["default"], (0, _extends2["default"])({}, attibutes, {
    trigger: trigger,
    prefixCls: prefixCls,
    content: realContent
  }));
};

var _default = Popover;
exports["default"] = _default;