"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

exports.__esModule = true;
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var SpinCircle = function SpinCircle(props) {
  var _ref;

  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'dk-spin' : _props$prefixCls,
      size = props.size;
  return React.createElement("div", {
    className: classNames([prefixCls + "-circle", (_ref = {}, _ref[prefixCls + "-large"] = size === 'large', _ref[prefixCls + "-small"] = size === 'small', _ref)], props.className)
  });
};

var _default = SpinCircle;
exports["default"] = _default;