import * as React from 'react';
import { DateProps, CalendarType } from './typings';
export declare type RangeProps = {
    prefixCls?: string;
    current: Date[];
    value?: DateProps[];
    format: string;
    type: CalendarType;
    min?: DateProps;
    max?: DateProps;
    rangeDate?: DateProps[];
    onChange: (date: DateProps | DateProps[], isSelectDay?: boolean) => void;
};
export declare type RangeState = {
    rangeDate?: DateProps[];
};
declare class Range extends React.PureComponent<RangeProps, RangeState> {
    firstSelectDate?: Date;
    isSelectDate?: boolean;
    constructor(props: RangeProps);
    render(): JSX.Element;
    handleDayHover: (date: Date) => void;
    handleChange: (index: number, date: Date, isSelectDay?: boolean) => void;
}
export default Range;
