import * as React from 'react';
import Accordion from './accordion';
import Collapse from './collapse';
import Header from './header';
import Footer from './footer';
import Body from './body';
import { CardProps, CardState } from './typings';
declare class Card extends React.PureComponent<CardProps, CardState> {
    static Header: typeof Header;
    static Footer: typeof Footer;
    static Body: typeof Body;
    static Accordion: typeof Accordion;
    static Collapse: typeof Collapse;
    static defaultProps: {
        prefixCls: string;
    };
    static getDerivedStateFromProps(nextProps: CardProps): {
        visible: boolean;
    };
    constructor(props: CardProps);
    render(): JSX.Element;
    handleHeaderClick: () => void;
}
export default Card;
