import * as React from 'react';
export declare type InputProps = {
    prefixCls?: string;
    className?: string;
    checked?: boolean;
    value?: string;
    indeterminate?: boolean;
    disabled?: boolean;
    defaultChecked?: boolean;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
};
export declare type ItemProps = InputProps & {
    onRawChange?: (checked?: boolean, label?: string) => void;
    options?: string[];
    min?: number;
    max?: number;
    type: 'checkbox' | 'radio';
    checked?: (value: any) => boolean;
};
export declare type ItemState = {
    checked: boolean;
};
declare const _default: (props: any) => JSX.Element;
export default _default;
