import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import * as React from 'react';
import * as classNames from 'classnames';
import Row from './row';
import Col from './col';

var Grid =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(Grid, _React$Component);

  function Grid() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Grid.prototype;

  _proto.render = function render() {
    var _classNames;

    var _this$props = this.props,
        children = _this$props.children,
        prefixCls = _this$props.prefixCls,
        fluid = _this$props.fluid,
        className = _this$props.className,
        attributes = _objectWithoutPropertiesLoose(_this$props, ["children", "prefixCls", "fluid", "className"]);

    var gridClassName = classNames(prefixCls, (_classNames = {}, _classNames[prefixCls + "-fluid"] = fluid, _classNames), className);
    return React.createElement("div", _extends({
      className: gridClassName
    }, attributes), children);
  };

  return Grid;
}(React.Component);

_defineProperty(Grid, "Row", void 0);

_defineProperty(Grid, "Col", void 0);

_defineProperty(Grid, "defaultProps", {
  prefixCls: 'dk-grid',
  fluid: false
});

Grid.Row = Row;
Grid.Col = Col;
export default Grid;