import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import * as React from 'react';
import * as classNames from 'classnames';

var Icon =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(Icon, _React$PureComponent);

  function Icon() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Icon.prototype;

  _proto.render = function render() {
    var _classNames;

    var _this$props = this.props,
        className = _this$props.className,
        type = _this$props.type,
        disabled = _this$props.disabled,
        prefixCls = _this$props.prefixCls,
        attributes = _objectWithoutPropertiesLoose(_this$props, ["className", "type", "disabled", "prefixCls"]);

    var iconClassName = classNames((_classNames = {}, _classNames["" + prefixCls] = true, _classNames[prefixCls + "-" + type] = true, _classNames[prefixCls + "-disabled"] = disabled, _classNames), className);
    return React.createElement("i", _extends({
      className: iconClassName
    }, attributes));
  };

  return Icon;
}(React.PureComponent);

_defineProperty(Icon, "defaultProps", {
  prefixCls: 'dk-icon'
});

export default Icon;