import * as React from 'react';
export declare type RadioGroupProps = {
    prefixCls?: string;
    className?: string;
    name?: string;
    defaultValue?: any;
    value?: any;
    onChange?: (value: any) => void;
};
export declare type RadioGroupState = {
    value: any;
};
declare class RadioGroup extends React.PureComponent<RadioGroupProps, RadioGroupState> {
    static componentType: string;
    static defaultProps: {
        prefixCls: string;
    };
    static getDerivedStateFromProps(nextProps: RadioGroupProps, prevState: RadioGroupState): {
        value: any;
    };
    constructor(props: RadioGroupProps);
    render(): JSX.Element;
    handleRawChange: (checked: any, value: any) => void;
    handleChecked: (value: any) => boolean;
}
export default RadioGroup;
