export function getInnerWidth(el) {
  var clientWidth = el.clientWidth;

  var _getComputedStyle = getComputedStyle(el),
      paddingLeft = _getComputedStyle.paddingLeft,
      paddingRight = _getComputedStyle.paddingRight;

  return clientWidth - (paddingLeft ? parseFloat(paddingLeft) : 0) - (paddingRight ? parseFloat(paddingRight) : 0);
}
export function getInnerHeight(el) {
  var clientHeight = el.clientHeight;

  var _getComputedStyle2 = getComputedStyle(el),
      paddingTop = _getComputedStyle2.paddingTop,
      paddingBottom = _getComputedStyle2.paddingBottom;

  return clientHeight - (paddingTop ? parseFloat(paddingTop) : 0) - (paddingBottom ? parseFloat(paddingBottom) : 0);
}
var scrollbarWidth;
export function getScrollbarWidth() {
  if (!scrollbarWidth) {
    return 0;
  }

  var div = document.createElement('div');
  div.setAttribute('style', 'display:block;position:absolute;width:100px;height:100px;top:-9999px;overflow:scroll;');
  document.body.appendChild(div);
  scrollbarWidth = div.offsetWidth - div.clientWidth;
  document.body.removeChild(div);
  return scrollbarWidth || 0;
}
export var raf = window.requestAnimationFrame || function requestAnimationFrameTimeout() {
  return setTimeout(arguments[0], 10);
};
export var caf = window.cancelAnimationFrame;