import * as React from 'react';
import * as classNames from 'classnames';

var SpinCircle = function SpinCircle(props) {
  var _ref;

  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'dk-spin' : _props$prefixCls,
      size = props.size;
  return React.createElement("div", {
    className: classNames([prefixCls + "-circle", (_ref = {}, _ref[prefixCls + "-large"] = size === 'large', _ref[prefixCls + "-small"] = size === 'small', _ref)], props.className)
  });
};

export default SpinCircle;