import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import * as React from 'react';
import { createPortal } from 'react-dom';

var Portal =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(Portal, _React$PureComponent);

  function Portal() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Portal.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        visible = _this$props.visible,
        children = _this$props.children;
    return visible ? createPortal(children, document.body) : null;
  };

  return Portal;
}(React.PureComponent);

export default Portal;