import * as React from 'react';
import { PickerChildProps } from './typings';
export declare type DayProps = PickerChildProps & {
    onDayHover?: (date: Date) => void;
};
export declare type DayState = {
    hoverDate: Date | null;
};
declare class Day extends React.PureComponent<DayProps, DayState> {
    static defaultProps: {
        type: string;
    };
    private cachedDate;
    private cachedDays;
    constructor(props: DayProps);
    render(): JSX.Element;
    renderDay: (date: Date) => JSX.Element;
    private renderDatetime;
    private getDays;
    private handleDayHover;
    private handleTimerChange;
    private handleDayClick;
    private handleMouth;
    private handlePrevYear;
    private handleNextYear;
    private handlePrevMonth;
    private handleNextMonth;
    private handleHoverWeek;
    private handleHoverWeekLeave;
}
export default Day;
