import * as React from 'react';
import { CalendarType, DateProps, CalendarMode } from './typings';
export declare type PickerProps = {
    prefixCls?: string;
    disabled?: boolean;
    current: Date;
    format: string;
    type: CalendarType;
    value?: DateProps;
    range?: boolean;
    min?: DateProps;
    max?: DateProps;
    hideLeftIcon?: boolean;
    hideRightIcon?: boolean;
    rangeDate?: DateProps[];
    onChange: (date: DateProps | DateProps[], isSelectDay?: boolean) => void;
    onDayHover?: (date: Date) => void;
};
export declare type PickerState = {
    mode: CalendarMode;
};
declare class Picker extends React.PureComponent<PickerProps, PickerState> {
    constructor(props: PickerProps);
    render(): JSX.Element;
    handleModeChange: (mode: CalendarMode) => void;
}
export default Picker;
