"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var _time = _interopRequireDefault(require("./time"));

var _day = _interopRequireDefault(require("./day"));

var _month = _interopRequireDefault(require("./month"));

var _year = _interopRequireDefault(require("./year"));

var Picker =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Picker, _React$PureComponent);

  function Picker(props) {
    var _this;

    _this = _React$PureComponent.call(this, props) || this;
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleModeChange", function (mode) {
      setTimeout(function () {
        _this.setState({
          mode: mode
        });
      }, 10);
    });

    var _mode;

    switch (props.type) {
      case 'week':
      case 'datetime':
        _mode = 'day';
        break;

      default:
        _mode = props.type;
        break;
    }

    _this.state = {
      mode: _mode
    };
    return _this;
  }

  var _proto = Picker.prototype;

  _proto.render = function render() {
    var mode = this.state.mode;
    var PickerChild;

    switch (mode) {
      case 'time':
        {
          PickerChild = _time["default"];
          break;
        }

      case 'month':
        {
          PickerChild = _month["default"];
          break;
        }

      case 'year':
        {
          PickerChild = _year["default"];
          break;
        }

      default:
        {
          PickerChild = _day["default"];
          break;
        }
    }

    return React.createElement(PickerChild, (0, _extends2["default"])({}, this.props, {
      onModeChange: this.handleModeChange
    }));
  };

  return Picker;
}(React.PureComponent);

var _default = Picker;
exports["default"] = _default;