"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var _picker = _interopRequireDefault(require("./picker"));

var _utils = require("./utils");

var Range =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Range, _React$PureComponent);

  function Range(props) {
    var _this;

    _this = _React$PureComponent.call(this, props) || this;
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "firstSelectDate", void 0);
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "isSelectDate", void 0);
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleDayHover", function (date) {
      var rangeDate = _this.state.rangeDate;

      var _assertThisInitialize = (0, _assertThisInitialized2["default"])(_this),
          isSelectDate = _assertThisInitialize.isSelectDate,
          firstSelectDate = _assertThisInitialize.firstSelectDate;

      if (isSelectDate && firstSelectDate) {
        var diff = (0, _utils.compareAsc)(firstSelectDate, date);
        var newRangeDate = rangeDate;

        if (diff === -1) {
          newRangeDate = [firstSelectDate, date];
        } else if (diff === 1) {
          newRangeDate = [date, firstSelectDate];
        }

        _this.setState({
          rangeDate: newRangeDate
        });
      }
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleChange", function (index, date, isSelectDay) {
      var rangeDate = _this.state.rangeDate;

      if (!isSelectDay) {
        var current = _this.props.current;
        current[index] = date;

        _this.props.onChange([].concat(current));

        return;
      }

      if (!_this.isSelectDate) {
        _this.firstSelectDate = date;
        _this.isSelectDate = true;

        _this.setState({
          rangeDate: [date]
        });
      } else if (_this.firstSelectDate) {
        _this.isSelectDate = false;
        var diff = (0, _utils.compareAsc)(_this.firstSelectDate, date);

        if (diff === 0) {
          _this.setState({
            rangeDate: undefined
          });

          _this.firstSelectDate = undefined;
          return;
        }

        var newRangeDate = rangeDate;

        if (diff === -1) {
          newRangeDate = [_this.firstSelectDate, date];
        } else {
          newRangeDate = [date, _this.firstSelectDate];
        }

        _this.setState({
          rangeDate: newRangeDate
        });

        _this.firstSelectDate = undefined;

        _this.props.onChange(newRangeDate, true);
      }
    });
    _this.state = {
      rangeDate: props.value
    };
    return _this;
  }

  var _proto = Range.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        current = _this$props.current,
        type = _this$props.type,
        value = _this$props.value,
        prefixCls = _this$props.prefixCls,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, ["current", "type", "value", "prefixCls"]);
    var rangeDate = this.state.rangeDate;
    var newType = type === 'week' ? 'day' : type;
    var hideIcon = (newType === 'day' || newType === 'datetime') && (0, _utils.isSameMonth)((0, _utils.addMonths)(current[0], 1), current[1]);
    return React.createElement(React.Fragment, null, React.createElement(_picker["default"], (0, _extends2["default"])({}, attributes, {
      prefixCls: prefixCls,
      type: newType,
      current: current[0],
      rangeDate: rangeDate,
      hideRightIcon: hideIcon,
      onChange: this.handleChange.bind(this, 0),
      onDayHover: this.handleDayHover
    })), React.createElement(_picker["default"], (0, _extends2["default"])({}, attributes, {
      prefixCls: prefixCls,
      type: newType,
      current: current[1],
      rangeDate: rangeDate,
      hideLeftIcon: hideIcon,
      onChange: this.handleChange.bind(this, 1),
      onDayHover: this.handleDayHover
    })));
  };

  return Range;
}(React.PureComponent);

var _default = Range;
exports["default"] = _default;