import * as React from 'react';
import { PickerChildProps } from './typings';
export declare type TimeProps = PickerChildProps;
export declare type TimeState = {
    current: Date;
};
declare class Time extends React.PureComponent<TimeProps, TimeState> {
    static getDerivedStateFromProps(nextProps: TimeProps, prevState: TimeState): {
        current: Date;
    };
    constructor(props: TimeProps);
    render(): JSX.Element;
    handleChange: (mode: string, val: number) => void;
    handleConfirm: () => void;
    handleCancel: () => void;
}
export default Time;
