"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var classNames = _interopRequireWildcard(require("classnames"));

var React = _interopRequireWildcard(require("react"));

var _reactTransitionGroup = require("react-transition-group");

var _context = require("./context");

var Body =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Body, _React$PureComponent);

  function Body() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleEnter", function (el) {
      if (el.scrollHeight !== 0) {
        el.style.height = el.scrollHeight + 'px';
      }
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleEntered", function (el) {
      el.style.height = '';
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleExit", function (el) {
      el.style.height = el.scrollHeight + 'px';
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleExiting", function (el) {
      if (el.scrollHeight !== 0) {
        el.style.height = '0';
      }
    });
    return _this;
  }

  var _proto = Body.prototype;

  _proto.render = function render() {
    var _classNames, _classNames2;

    var _this$props = this.props,
        className = _this$props.className,
        collapse = _this$props.collapse,
        handleHeaderClick = _this$props.handleHeaderClick,
        _this$props$prefixCls = _this$props.prefixCls,
        prefixCls = _this$props$prefixCls === void 0 ? 'dk-card' : _this$props$prefixCls,
        visible = _this$props.visible,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, ["className", "collapse", "handleHeaderClick", "prefixCls", "visible"]);
    var basicClassName = classNames((_classNames = {}, _classNames[prefixCls + "-body"] = true, _classNames), className);
    var collapseClassName = classNames((_classNames2 = {}, _classNames2[prefixCls + "-body-collapse"] = true, _classNames2[prefixCls + "-body-collapse-visible"] = visible, _classNames2));
    var bodyNode = React.createElement("div", (0, _extends2["default"])({}, attributes, {
      className: basicClassName
    }));
    return collapse ? React.createElement(_reactTransitionGroup.CSSTransition, {
      "in": visible,
      timeout: 350,
      onEnter: this.handleEnter,
      onEntered: this.handleEntered,
      onExit: this.handleExit,
      onExiting: this.handleExiting,
      classNames: prefixCls + "-body-collapse"
    }, React.createElement("div", {
      className: collapseClassName
    }, bodyNode)) : bodyNode;
  };

  return Body;
}(React.PureComponent);

var _default = (0, _context.createConsumer)(Body);

exports["default"] = _default;