import * as React from 'react';
declare type ContextProps = {
    onRawChange?: (checked?: boolean, label?: string) => void;
    checked?: boolean | ((value: any) => boolean);
    options?: string[];
    min?: number;
    max?: number;
};
export declare const Provider: React.ComponentType<React.ProviderProps<ContextProps>>;
export declare const Consumer: React.ComponentType<React.ConsumerProps<ContextProps>>;
export declare const createConsumer: (Component: any) => (props: any) => JSX.Element;
export {};
