"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var Icon =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Icon, _React$PureComponent);

  function Icon() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Icon.prototype;

  _proto.render = function render() {
    var _classNames;

    var _this$props = this.props,
        className = _this$props.className,
        type = _this$props.type,
        disabled = _this$props.disabled,
        prefixCls = _this$props.prefixCls,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, ["className", "type", "disabled", "prefixCls"]);
    var iconClassName = classNames((_classNames = {}, _classNames["" + prefixCls] = true, _classNames[prefixCls + "-" + type] = true, _classNames[prefixCls + "-disabled"] = disabled, _classNames), className);
    return React.createElement("i", (0, _extends2["default"])({
      className: iconClassName
    }, attributes));
  };

  return Icon;
}(React.PureComponent);

(0, _defineProperty2["default"])(Icon, "defaultProps", {
  prefixCls: 'dk-icon'
});
var _default = Icon;
exports["default"] = _default;