"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.createConsumer = exports.MenuConsumer = exports.MenuProvider = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var _createReactContext = _interopRequireDefault(require("create-react-context"));

var MenuContext = (0, _createReactContext["default"])(null);
var MenuProvider = MenuContext.Provider;
exports.MenuProvider = MenuProvider;
var MenuConsumer = MenuContext.Consumer;
exports.MenuConsumer = MenuConsumer;

var createConsumer = function createConsumer(Component) {
  return function (props) {
    return React.createElement(MenuConsumer, null, function (context) {
      return React.createElement(Component, (0, _extends2["default"])({}, props, {
        rootContext: context
      }));
    });
  };
};

exports.createConsumer = createConsumer;