"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var MenuItemGroup = function MenuItemGroup(props) {
  var children = props.children,
      _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'dk-menu' : _props$prefixCls,
      className = props.className,
      title = props.title,
      attributes = (0, _objectWithoutPropertiesLoose2["default"])(props, ["children", "prefixCls", "className", "title"]);
  var groupClassName = classNames(prefixCls + "-item-group", className);
  return React.createElement(React.Fragment, null, React.createElement("li", (0, _extends2["default"])({
    className: groupClassName
  }, attributes), title), children);
};

var _default = MenuItemGroup;
exports["default"] = _default;