/// <reference types="react" />
export declare type MessageType = 'default' | 'success' | 'error' | 'warning' | 'info' | 'loading';
export declare type MessageProps = {
    prefixCls?: string;
    max: number;
    onDestory?: VoidFunction;
    transitionDuration: number;
};
export declare type MessageItemProps = {
    id?: string;
    prefixCls?: string;
    type: MessageType;
    duration?: number;
    content?: React.ReactNode;
    onClose?: VoidFunction;
};
export declare type MessageState = {
    messages: MessageItemProps[];
};
export declare type MessageItemState = {
    dismiss: boolean;
    closed: boolean;
};
