"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var OptionGroup = function OptionGroup(props) {
  var _classNames;

  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'dk-select' : _props$prefixCls,
      className = props.className,
      label = props.label,
      children = props.children,
      attributes = (0, _objectWithoutPropertiesLoose2["default"])(props, ["prefixCls", "className", "label", "children"]);
  var groupClassName = classNames((_classNames = {}, _classNames[prefixCls + "-group"] = true, _classNames), className);
  return React.createElement("div", (0, _extends2["default"])({
    className: groupClassName
  }, attributes), React.createElement("div", {
    className: prefixCls + "-group-title"
  }, label), React.createElement("div", {
    className: prefixCls + "-group-list"
  }, children));
};

var _default = OptionGroup;
exports["default"] = _default;