"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var classNames = _interopRequireWildcard(require("classnames"));

var _context = require("./context");

var Option =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Option, _React$PureComponent);

  function Option() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleOptionClick", function () {
      var _this$props = _this.props,
          value = _this$props.value,
          disabled = _this$props.disabled,
          onRawChange = _this$props.onRawChange;

      if (!disabled && typeof onRawChange === 'function') {
        onRawChange(value);
      }
    });
    return _this;
  }

  var _proto = Option.prototype;

  _proto.render = function render() {
    var _classNames;

    var _this$props2 = this.props,
        prefixCls = _this$props2.prefixCls,
        value = _this$props2.value,
        className = _this$props2.className,
        inputValue = _this$props2.inputValue,
        onRawChange = _this$props2.onRawChange,
        disabled = _this$props2.disabled,
        options = _this$props2.options,
        filterOption = _this$props2.filterOption,
        attributes = (0, _objectWithoutPropertiesLoose2["default"])(_this$props2, ["prefixCls", "value", "className", "inputValue", "onRawChange", "disabled", "options", "filterOption"]);
    var optionClassName = classNames((_classNames = {}, _classNames[prefixCls + "-option"] = true, _classNames[prefixCls + "-option-disabled"] = disabled, _classNames[prefixCls + "-option-active"] = // @ts-ignore
    options instanceof Array && options.indexOf(value) !== -1 ? true : options === value ? true : false, _classNames), className);
    var isShow = typeof filterOption === 'function' ? filterOption(inputValue, value) : true;

    if (isShow) {
      return React.createElement("div", (0, _extends2["default"])({
        className: optionClassName,
        onClick: this.handleOptionClick
      }, attributes));
    }

    return null;
  };

  return Option;
}(React.PureComponent);

var _default = (0, _context.createConsumer)(Option);

exports["default"] = _default;