"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var React = _interopRequireWildcard(require("react"));

var _reactDom = require("react-dom");

var Portal =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inheritsLoose2["default"])(Portal, _React$PureComponent);

  function Portal() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Portal.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        visible = _this$props.visible,
        children = _this$props.children;
    return visible ? (0, _reactDom.createPortal)(children, document.body) : null;
  };

  return Portal;
}(React.PureComponent);

var _default = Portal;
exports["default"] = _default;